﻿@model DAL.Order
@{
    ViewBag.Title = "Index";
    IList<DAL.DBEntities.vt_Cart> cart = Model.Cart;
}
<style>
    .alert-dismissible{
        display:none;
    }
</style>
<!-- Page Title Area -->
<div class="row page-title clearfix">
    <div class="page-title-left">
        <h6 class="page-title-heading mr-0 mr-r-5">Confirmation</h6>
    </div>
    <!-- /.page-title-left -->
    <div class="page-title-right d-none d-sm-inline-flex">
        <ol class="breadcrumb">
            <li class="breadcrumb-item">
                <a href="javascript:;">Dashboard</a>
            </li>
            <li class="breadcrumb-item active">Confirmation</li>
        </ol>
    </div>
    <!-- /.page-title-right -->
</div>
<!-- /.page-title -->
<!-- =================================== -->
<!-- Different data widgets ============ -->
<!-- =================================== -->
<div class="widget-list">
    <div class="row">
        <div class="col-md-12 widget-holder">
            <div class="widget-bg">
                <div class="widget-body clearfix ezy_confirm_div">
                    <form>
                        <div class="form-group row">
                            <label class="col-md-3 col-form-label">Date</label>
                            <div class="col-md-9">
                                <p class="form-control-plaintext">@DateTime.Now.ToString("MMMM dd,yyyy hh:mm:ss tt")</p>
                            </div>
                        </div>
                        <div class="form-group row">
                            <label class="col-md-3 col-form-label">Customer name</label>
                            <div class="col-md-9">
                                <p class="form-control-plaintext">@Model._Customer.CustomerName</p>
                            </div>
                        </div>
                        <div class="form-group row">
                            <label class="col-md-3 col-form-label">Customer Id</label>
                            <div class="col-md-9">
                                <p class="form-control-plaintext">@Model._Customer.CustomerMCID</p>
                            </div>
                        </div>
                        <div class="form-group row">
                            <label class="col-md-3 col-form-label">Orders processed</label>
                            <div class="col-md-9">
                                <p class="form-control-plaintext">@cart.Count</p>
                            </div>
                        </div>
                    </form>
                    <div class="alert alert-icon alert-warning border-warning alert-dismissible fade show" role="alert">
                        <i class="material-icons list-icon">warning</i> <p></p>
                    </div>

                    <table class="table tble_customer ezy_review_table">
                        <thead>
                            <tr class="sm-text">
                                <th data-type="competency">Product</th>
                                <th class="text-align-center" data-type="percent-above-score"> Currency</th>
                                <th data-type="average-score">Indirect reseller</th>
                                <th>Quantity</th>
                            </tr>
                        </thead>
                        <tbody>
                            <tr>
                                <td colspan="4" class="ezy_review_tbl__row_bg">Order group</td>
                            </tr>
                            @{
                                foreach (var item in cart)
                                {
                                    <tr>
                                        <td class="sm-text" data-code="A" data-competencyid="650-1">
                                            <span> @item.Title</span>
                                            <span> @((item.vt_Products.vt_ProductDetails.Select(x => x.IsMicrosoftProduct).FirstOrDefault() == true) ? "By Microsoft" : "") - @item.vt_Products.vt_ProductDetails.Select(x => x.Category).FirstOrDefault(), @item.vt_Products.vt_ProductDetails.Select(x => x.BillingType).FirstOrDefault() </span>
                                        </td>
                                        <td class="sm-text text-align-center">
                                            <b>@item.CurrencyCode</b>
                                        </td>
                                        <td class="sm-text color-gray">
                                            <p class="form-control-plaintext">@item.Reseller</p>
                                        </td>
                                        <td class="">
                                            <p class="form-control-plaintext">@item.Quantity</p>
                                        </td>
                                    </tr>
                                }
                            }

                        </tbody>
                    </table>


                    <div class="ezy_buy_btn_div">
                        <a href="javascript:;" class="btn btn-pinterest tbl_expend_btn ripple btnDone">Done</a>
                        @*<a href="@Url.Action("OrderConfirmation","Order")" class="btn btn-pinterest tbl_expend_btn ripple btnDone">Done</a>*@
                    </div>

                </div>
                <!-- /.widget-body -->
            </div>
            <!-- /.widget-bg -->
        </div>
        <!-- /.widget-holder -->
    </div>
    <!-- /.row -->
</div>

@section InScript{
    <script type="text/javascript">
        $(document).ready(function () {
            $('.btnDone').click(function () {
                $.ajax({
                    type: "get",
                    url: "@Url.Action("OrderConfirmation", "Order")",
                    //data: { "cartList": JSON.stringify(cartList) },
                    success: function (data) {
                        if (data.success) {
                            $.removeCookie('Cart');
                            window.location.href = "@Url.Action("Index", "Customer")";
                        } else {
                            $('.alert-dismissible').find('p').text(data.message);
                            $('.alert-dismissible').show();
                            //alert();
                        }
                    }
                })
            })
        })
    </script>
}
